.img-float{
	width: 250px;
	height: 250px;
	/*The float property can be set either to the left or right. This positioning will depend on the content or sibling of the element you are selecting.	*/
	float: right;
	/*Use z-index property for the prioritization of the stack of your elements. You cab use negative values for the elements to be stacked below, and positive values for elements to stack on top.*/
	z-index:1;
}
.parent-element{
	background-color: skyblue;
	padding: 10px;
	/* If the parent element has position: relative, then any child that have position: absolute will have their positions based on the parent instead of the whole page itself.*/
	position: relative;
	height: 800vh;
	z-index: -1;
}

.child-one{
	background-color: gray;
	padding: 10px;
}
.child-two{
	background-color: yellow;
	padding: 10px;
	/*Static - default positioning of any element. Cannot use the top, left, bottom, right properties for this position.	*/
	/*Relative - Can modify the top, left, bottom and right properties to define the exact position of the element. It also depends on the parent element.*/
	/*Absolute - instead of depending on the parent element, it depends on the whole page itself. Can modify the exact position using top, left, bottom and right properties.*/
	/*Fixed - attaches to the page itself and will not move regardless if you scroll.*/
	/*This will be positioned relative by defauylt but once it reaches a certain scroll point, then it will stick to the browser until it is back on its original position. The top property is crucial for it to be able to stick with spacing on the top.	*/
	position: sticky;
	top: 10px;
}
.child-three{
	background-color: indianred;
	padding: 10px;
	/*	*/
}
/*To emulate a long scrolling page*/
html{
	height: 800vh;
}